# Copyright 2013-2023 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)


from spack.package import *


class Liburing(AutotoolsPackage):
    """This is the io_uring library, liburing. liburing provides helpers
    to setup and teardown io_uring instances, and also a simplified interface
    for applications that don't need (or want) to deal with the full kernel
    side implementation."""

    homepage = "https://github.com/axboe/liburing"
    url = "https://github.com/axboe/liburing/archive/refs/tags/liburing-2.3.tar.gz"
    git = "https://github.com/axboe/liburing.git"

    version("master", branch="master")
    version("2.3", sha256="60b367dbdc6f2b0418a6e0cd203ee0049d9d629a36706fcf91dfb9428bae23c8")

    conflicts("platform=darwin", msg="Only supported on 'linux' and 'cray'")
    conflicts("platform=windows", msg="Only supported on 'linux' and 'cray'")
